> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/user-statistics-and-analytics/get-started-statistics-and-scoring-apis/consolidated-scorings-and-statistics.md).

# Admin | Consolidated Scorings and Statistics

{% content-ref url="/pages/-MIwuMaFXm6EkQXbwQR1" %}
[Broken mention](broken://pages/-MIwuMaFXm6EkQXbwQR1)
{% endcontent-ref %}

{% hint style="warning" %}
Consolidated Scorings and Statistics — methods that allow to get Scorings and Statistics when **authorized as Admin** via [API Authorization Credentials](https://docs.telematicssdk.com/back-end-to-back-end-integration/authentication#api-authorization-credentials) only!

Please, read this doc carefully before start:
{% endhint %}

{% content-ref url="/pages/-M2cbbSRbIXaO9xQ9y0l" %}
[API Authorization](/user-statistics-and-analytics/authentication.md)
{% endcontent-ref %}

## Consolidated Scorings

{% hint style="info" %}
How the aggregated 14-day scoring is counted:
{% endhint %}

{% content-ref url="/pages/-Lw3KifDldQK4-RDAVqP" %}
[Risk driving Scoring](/product-description/scoring/riskdrivingscore.md)
{% endcontent-ref %}

## Consolidated Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/consolidated/`

Get Company/App/Group average scorings for period\
\
**Authorization:** Required as Admin via API Authorization credentials

#### Query Parameters

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| startDate     | string | 2020-09-16                                                  |
| endDate       | string | 2020-09-30                                                  |
| deviceToken   | string | One of these is required \| GUID - user's deviceToken       |
| CompanyID     | string | One of these is required                                    |
| ApplicationID | string | One of these is required                                    |
| InstanceID    | string | One of these is required                                    |
| tag           | string | consider only tagged trips (follow to SDK features => tags) |

#### Headers

| Name          | Type   | Description                                                                                 |
| ------------- | ------ | ------------------------------------------------------------------------------------------- |
| Authorization | string | <p>"Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login><br><br></p> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
    "DeviceToken": null,
    "InstanceId": null,
    "AppId": null,
    "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "AccelerationScore": 66.67073736280723,
    "BrakingScore": 69.54081001700418,
    "SpeedingScore": 91.83096305456795,
    "DistractedScore": 81.31542742309476,
    "CorneringScore": 85.3753284897202,
    "OverallScore": 84.23164322151801
  },
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Consolidated Daily Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/consolidated/daily`

Get Company/App/Group daily scorings for period\
\
**Authorization:** Required as Admin via API authorization credentials

#### Query Parameters

| Name          | Type   | Description                                                |
| ------------- | ------ | ---------------------------------------------------------- |
| startDate     | string | 2020-09-16                                                 |
| endDate       | string | 2020-09-30                                                 |
| deviceToken   | string | One of these is required                                   |
| CompanyID     | string | One of these is required                                   |
| ApplicationID | string | One of these is required                                   |
| InstanceID    | string | One of these is required                                   |
| tag           | string | consider only tagged trips (follow to SDK Feature => tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AccelerationScore": 66.71781033153431,
      "BrakingScore": 69.6515034695451,
      "SpeedingScore": 91.87818041634542,
      "DistractedScore": 81.51195065535852,
      "CorneringScore": 85.46877409406322,
      "OverallScore": 84.25751734772552,
      "ReportDate": "2020-09-02T00:00:00"
    },
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AccelerationScore": 66.70100697134005,
      "BrakingScore": 69.56312935708753,
      "SpeedingScore": 91.83733539891557,
      "DistractedScore": 81.44848954298993,
      "CorneringScore": 85.30286599535243,
      "OverallScore": 84.15646785437646,
      "ReportDate": "2020-09-01T00:00:00"
    },
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AccelerationScore": 66.76086956521739,
      "BrakingScore": 69.43167701863354,
      "SpeedingScore": 91.8975155279503,
      "DistractedScore": 81.43711180124224,
      "CorneringScore": 85.4417701863354,
      "OverallScore": 84.17468944099379,
      "ReportDate": "2020-09-03T00:00:00"
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Consolidated Users' Statistics

## Consolidated Users' Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/consolidated/`

Get Company/App/Group average statistics for period\
\
**Authorization:** Required as Admin via API Authorization Credentials

#### Query Parameters

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| startDate     | string | 2020-09-16                                                  |
| endDate       | string | 2020-09-30                                                  |
| deviceToken   | string | One of these is required                                    |
| CompanyID     | string | One of these is required                                    |
| ApplicationID | string | One of these is required                                    |
| InstanceID    | string | One of these is required                                    |
| tag           | string | Consider only tagged trips (follow to SDK Features => Tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
    "DeviceToken": null,
    "InstanceId": null,
    "AppId": null,
    "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "TotalRegisteredUsers": 190,
    "ActiveUsers": 1313,
    "MileageKm": 537617.7080000002,
    "MileageMile": 334075.64375119965,
    "TripsCount": 45296,
    "DriverTripsCount": 0,
    "OtherTripsCount": 45296,
    "MaxSpeedKmh": 397713952,
    "MaxSpeedMileh": 247139449.77279997,
    "AverageSpeedKmh": 57.81757677554955,
    "AverageSpeedMileh": 35.92784220832652,
    "TotalSpeedingKm": 89678.98899999993,
    "TotalSpeedingMile": 55726.523764600104,
    "AccelerationCount": 19714,
    "BreakingCount": 33247,
    "CorneringCount": 14506,
    "PhoneUsageDurationMin": 20072.68333333334,
    "PhoneUsageDistanceKm": 14837.512000000017,
    "PhoneUsageDistanceMile": 9220.029956800094,
    "PhoneUsageOverSpeedDurationMin": 160.76666666666662,
    "PhoneUsageOverSpeedDistanceKm": 208.73200000000003,
    "PhoneUsageOverSpeedDistanceMile": 129.7060647999999,
    "DrivingTime": 829817.2833333338,
    "NightDrivingTime": 49086.56666017324,
    "DayDrivingTime": 540299.1333711203,
    "RushHoursDrivingTime": 279793.433260154
  },
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Consolidated Daily Users' Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/consolidated/daily/`

Get Company/App/Group daily statistics for period

#### Query Parameters

| Name          | Type   | Description                                                  |
| ------------- | ------ | ------------------------------------------------------------ |
| startDate     | string | 2020-09-16                                                   |
| endDate       | string | 2020-09-30                                                   |
| deviceToken   | string | One of these is required                                     |
| CompanyID     | string | One of these is required                                     |
| ApplicationID | string | One of these is required                                     |
| InstanceID    | string | One of these is required                                     |
| tag           | string | Consider only tagged tracks (Follow to SDK Features => tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "ReportDate": "2020-09-01T00:00:00",
      "TotalRegisteredUsers": 46,
      "ActiveUsers": 905,
      "MileageKm": 50653.07400000001,
      "MileageMile": 31475.820183600037,
      "TripsCount": 4341,
      "DriverTripsCount": 0,
      "OtherTripsCount": 4341,
      "MaxSpeedKmh": 216.9322509765625,
      "MaxSpeedMileh": 134.8017007568359,
      "AverageSpeedKmh": 44.83533361466009,
      "AverageSpeedMileh": 27.860676308149806,
      "TotalSpeedingKm": 7804.05500000001,
      "TotalSpeedingMile": 4849.439777000005,
      "AccelerationCount": 1880,
      "BreakingCount": 3045,
      "CorneringCount": 1314,
      "PhoneUsageDurationMin": 1851.566666666664,
      "PhoneUsageDistanceKm": 1328.7619999999986,
      "PhoneUsageDistanceMile": 825.6927067999976,
      "PhoneUsageOverSpeedDurationMin": 16.433333333333337,
      "PhoneUsageOverSpeedDistanceKm": 19.207999999999995,
      "PhoneUsageOverSpeedDistanceMile": 11.935851199999997,
      "DrivingTime": 78763.21666666667,
      "NightDrivingTime": 4070.6166611760855,
      "DayDrivingTime": 51999.18331839889,
      "RushHoursDrivingTime": 26545.38333223015
    },
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "ReportDate": "2020-09-02T00:00:00",
      "TotalRegisteredUsers": 46,
      "ActiveUsers": 908,
      "MileageKm": 53735.65699999998,
      "MileageMile": 33391.33725980001,
      "TripsCount": 4503,
      "DriverTripsCount": 0,
      "OtherTripsCount": 4503,
      "MaxSpeedKmh": 233.43724060058594,
      "MaxSpeedMileh": 145.05790130920408,
      "AverageSpeedKmh": 44.997036431821094,
      "AverageSpeedMileh": 27.961158438733623,
      "TotalSpeedingKm": 9048.949999999993,
      "TotalSpeedingMile": 5623.0175300000255,
      "AccelerationCount": 1951,
      "BreakingCount": 3173,
      "CorneringCount": 1495,
      "PhoneUsageDurationMin": 1927.449999999997,
      "PhoneUsageDistanceKm": 1414.5970000000002,
      "PhoneUsageDistanceMile": 879.0305757999977,
      "PhoneUsageOverSpeedDurationMin": 15.816666666666672,
      "PhoneUsageOverSpeedDistanceKm": 16.258999999999997,
      "PhoneUsageOverSpeedDistanceMile": 10.1033426,
      "DrivingTime": 82229.74999999991,
      "NightDrivingTime": 4256.0333348587155,
      "DayDrivingTime": 53537.23337029666,
      "RushHoursDrivingTime": 28486.74998111278
    },
    {
      "DeviceToken": null,
      "InstanceId": null,
      "AppId": null,
      "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "ReportDate": "2020-09-03T00:00:00",
      "TotalRegisteredUsers": 46,
      "ActiveUsers": 917,
      "MileageKm": 52622.850000000064,
      "MileageMile": 32699.838990000066,
      "TripsCount": 4606,
      "DriverTripsCount": 0,
      "OtherTripsCount": 4606,
      "MaxSpeedKmh": 349.6319885253906,
      "MaxSpeedMileh": 217.2613176696777,
      "AverageSpeedKmh": 44.543960321550294,
      "AverageSpeedMileh": 27.679616943811364,
      "TotalSpeedingKm": 8844.20399999999,
      "TotalSpeedingMile": 5495.788365600025,
      "AccelerationCount": 1932,
      "BreakingCount": 3282,
      "CorneringCount": 1383,
      "PhoneUsageDurationMin": 2028.9833333333297,
      "PhoneUsageDistanceKm": 1488.9430000000004,
      "PhoneUsageDistanceMile": 925.2291801999974,
      "PhoneUsageOverSpeedDurationMin": 19.3,
      "PhoneUsageOverSpeedDistanceKm": 28.545999999999996,
      "PhoneUsageOverSpeedDistanceMile": 17.73848439999999,
      "DrivingTime": 82253.96666666663,
      "NightDrivingTime": 4572.133339047432,
      "DayDrivingTime": 52195.133328177035,
      "RushHoursDrivingTime": 29530.79998118058
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/user-statistics-and-analytics/get-started-statistics-and-scoring-apis/consolidated-scorings-and-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
